/*
 Author: Sarrailh Remi
 Description: This program receive commands from an Raspberry PI
 Licence : GplV3
 For More informations on this licence:
 http://www.tldrlegal.com/l/GPL3

You will need rcswitch library
http://code.google.com/p/rc-switch/

Wiring:
You put any composants (ex a LED) on pin 8/9/10 to test it!
You must have a RF Receiver on pin 2

##############################################################
20140216 Erweitert von robins-blog.de (Arduino_PIR_for_Fhem)
fr das Fhem-Modul 433Pir.pm

an PIR-IDs (siehe unten in der Deklaration) kommt man, wenn man \RCswitch\examples\ReceiveDemo_Advanced.pde ausfhrt und einen Alarm beim PIR auslst.
Die ID des PIRS sollten dann im seriellen Monitor (STRG-Umschalt-M) sichtbar werden.
Die IDs sind bei jedem Pir anders, also entsprechend unten den code anpassen.
Pin 8,9,10 sind optional, da habe ich LEDs am Ausgang drangehangen.

*/

#include <RCSwitch.h>

RCSwitch mySwitch = RCSwitch();

unsigned long Pir1 = 8735258;
unsigned long Pir2 = 10961178;
unsigned long Pir3 = 7553818;
int Pin8 = 8;
int Pin9 = 9;
int Pin10 = 10;

int high_or_low;
int pin_selected;
int verification_number;

void setup() {
  Serial.begin(57600);
  mySwitch.enableReceive(0);  // Receiver on interrupt 0 => that is pin #2
  pinMode(Pin8, OUTPUT);
  pinMode(Pin9, OUTPUT);
  pinMode(Pin10, OUTPUT); 
}

void loop() {

  if (mySwitch.available()) { //If a message is sended with RF Code
   unsigned long value = mySwitch.getReceivedValue(); // Copy the value 
   
   if (value ==  Pir1) 
   {  
     Serial.println("OK 5 " + String(Pir1) + " 1");
      digitalWrite(Pin10,1); //Change PIN status
      delay(5000); 
      digitalWrite(Pin10,0); //Change PIN status
   }
   
    if (value ==  Pir2) 
   {  
     Serial.println("OK 5 " + String(Pir2) + " 1");
      digitalWrite(Pin9,1); //Change PIN status
      delay(5000); 
      digitalWrite(Pin9,0); //Change PIN status
   }
   
    if (value ==  Pir3) 
   {  
     Serial.println("OK 5 " + String(Pir3) + " 1");
      digitalWrite(Pin8,1); //Change PIN status
      delay(5000); 
      digitalWrite(Pin8,0); //Change PIN status
   }
    
  }
  mySwitch.resetAvailable();
  
}

